Bug 209536 - Review Request: oki4linux - OKIPAGE (4w, 4w Plus, 6w, 8w, 8w Lite, 8z), OL400w printer driver
Review Request: oki4linux - OKIPAGE (4w, 4w Plus, 6w, 8w, 8w Lite, 8z), OL400...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-05 17:09 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 16:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-10-05 17:09:16 EDT
Spec URL: http://rpm.greysector.net/extras/oki4linux.spec
SRPM URL: http://rpm.greysector.net/extras/oki4linux-2.1gst-1.src.rpm
Description:
User space based driver for OKIPAGE (4w, 4w Plus, 6w, 8w, 8w Lite, 8z), OL400w
printers.
Comment 1 Jason Tibbitts 2006-10-16 02:51:17 EDT
This builds fine in mock and the package itself installs fine for me, but I
haven't the hardware to actually test this so I can only review this for form. 
Do you actually have the hardware to test this on?

rpmlint says:
   E: oki4linux non-readable /dev/oki4drv 0660
I don't see why this wouldn't be OK; it's the same permissions as /dev/lp0.

  E: oki4linux no-chkconfig-line /etc/rc.d/init.d/oki4daemon
I'm not sure what this is on about, as there sure looks to be a chkconfig line
there.  According to the rpmlint source, it doesn't seem to want anything other
than a single space between "chkconfig:" and the numbers.  I do not know what
the chkconfg executable itself wants to see.

   W: oki4linux incoherent-init-script-name oki4daemon
It wants to see the initscript named after the package.  I don't think this is a
major issue as it seems reasonable to name it after the daemon's executable name
instead.

Wow, the license is old BSD-with-advertising clause.  It's still free, though. 
I don't think we generally indicate the old BSD license in any special way.

* source files match upstream:
   54c85488d2489d2431ce518916b20515  oki4linux-2.1gst.tar.gz
* package meets naming and packaging guidelines (alpha characters are permitted
in the version number in this situation).
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
O build root is a bit different.  The recommended root uses "%{__id_u}" where
you have "id -u".  I don't think this is a blocker.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper (none)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
? rpmlint has one complaint I'm not sure about.
* final provides and requires are sane:
   oki4linux = 2.1gst-1.fc6
  =
   /bin/sh
   /sbin/chkconfig
   /usr/bin/perl
   ghostscript
   initscripts
   perl(Getopt::Std)
   perl(Sys::Syslog)

! %check is not present; no test suite upstream.  I haven't the hardware to test.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is actually larger than the rest of the package by a factor of
ten or more, but the whole package is only ~350K installed so there's not much
point in splitting things out.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

I'd approve this if someone could verify that it works.
Comment 2 Dominik 'Rathann' Mierzejewski 2006-10-16 14:35:15 EDT
I actually do have access to the hardware (an OKI 8w printer) and I have
verified that it works.
I exchanged some emails with the author about the license. He doesn't want to
change it.
Comment 3 Jason Tibbitts 2006-10-16 18:16:19 EDT
OK, given the low probability of getting a testing report from anyone else, I'll
take your word for it.  chkconfig seems to handle the initscript just fine, so I
have no further issues.

APPROVED
Comment 4 Dominik 'Rathann' Mierzejewski 2006-10-17 16:54:38 EDT
Thank you for the speedy review. Package imported and built for devel/fc6. FC5
branch requested.

Note You need to log in before you can comment on or make changes to this bug.